# 『SS7』物件新規作成の省力化ツール


## 本プログラムの説明
所定のエクセルファイル（SS7物件新規作成ツール.xlsx）に主体構造（純RC造、純S造）、スパン、階高、符号配置条件、床荷重、柱断面、梁断面を入力するだけで、『SS7』の物件データを新規作成し、断面算定まで行います。
![SS7物件新規作成ツール.xlsx](docs/image/image_1.jpg)

## 本プログラムの実行方法
1. SS7物件新規作成ツール.xlsxに主体構造等を入力し、プログラム(main.py)と同じディレクトリに保存します。
   入力内容については、SS7物件新規作成ツール.xlsxに記載した説明を参照してください。
2. プログラムを実行します(main.py)。
```cmd
例) C:に「example」というフォルダ名で配置する場合
cd C:\example\src
python main.py
```
3. エクスプローラで物件フォルダが表示されます。


## 注意事項
- 本プログラムは『SS7』Ver1.1.1.19、Ver1.1.1.20で動作確認を行いました。


## 『Op.Python実行』の設定手順
Ss7Pythonライブラリを使用するための設定手順です。
1. 『SS7』を起動し，[ツール－環境設定－Op.Python実行]画面を表示します。
2. “利用可能なPython言語のバージョン”を選択し，[デスクトップへコピー]ボタンをクリックします。
3. デスクトップにある「Python」フォルダごと，「src」フォルダにコピーします。


## 必要な外部ライブラリ
本プログラムは以下のバージョンで動作確認を行いました。
以下の外部ライブラリをPython実行環境にインストールしてください。
- openpyxl  3.1.5
```cmd
pip install openpyxl
```

外部ライブラリのライセンスは「LICENSES/ライセンスについて.txt」を確認してください。


## 著作者
Copyright (C) 2024 UNION SYSTEM Inc.


## ライセンス
本プログラムは MIT License に基づいています。「LICENSE」を確認してください。

