﻿from Python import Ss7Python


def SS7Start(ss7_ver: str, path_input: str, path_data: str) -> bool:

    # SS7実行結果 True：成功 False:失敗
    bRet = False

    Ss7Python.Init()
    Ss7Python.Start(ss7_ver, 1)  # 1=ログファイルをクリアする

    # 入力データCSVからSS7のデータを作成する
    Ss7Python.CreateDataCsv(
        path_input, path_data, 1
    )  # 1=上書きする（物件フォルダに含まれるファイル，ディレクトリは削除）

    # エラー情報を取得する
    err = Ss7Python.GetLastError()

    # CSV新規作成できたことの判定
    if err.IsOK():  # 成功

        # データを開く
        Data = Ss7Python.Open(path_data, 1, 3)  # 1=変換して開く 3=物件データは開かない

        # データが正しく開けたことの判定
        if Data is not None:  # 成功

            # 計算実行
            Data.Calculate("結果1", "断面算定")

            # エラー情報を取得する
            err = Ss7Python.GetLastError()

            # 計算が正しく実行できたことの判定
            if err.IsOK():  # 計算成功

                # データを閉じる
                Data.Close(1)  # 1=保存する

                # 静甲
                bRet = True

        else:  # 失敗

            print("計算が失敗しました")

    else:  # 失敗

        print("CSV新規作成が失敗しました")

    Ss7Python.End(1)  # 1=保存して終了

    return bRet
